from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

requirements = [
    'apistar-jwt==0.4.2',
    'apistar-mail==0.3.0',
    'apistar==0.5.18',
    'bcrypt==3.1.4',
    'itsdangerous==0.24',
    'logbook==1.3.3',
    'psycopg2-binary==2.7.4',
    'sqlalchemy==1.2.8',
]

test_requirements = [
    'pytest',
    'pytest-cov',
    'tox'
]

setup(
    name='cookie-api',
    version='0.1.0',
    description='The Cookie API serves as a simple experimentation application for testing concepts in the APIStar '
                'platform.',
    long_description=readme,
    author='Drew Bednar',
    author_email='drew@androiddrew.com',
    maintainer='Drew Bednar',
    maintainer_email='drew@androiddrew.com',
    url='https://git.androiddrew.com/androiddrew/cookie-api',
    packages=find_packages(exclude=['tests']),
    include_package_data=True,
    install_requires=requirements,
    license='MIT',
    zip_safe=False,
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    extras_require={
        'testing': test_requirements,
    },
    entry_points={
        'console_scripts': [
            'wsgi_runner=wsgi:main'
        ]
    }
)
